#finalTestingPanel,
#testingName,
#testingName span,
#testPanelContainer,
#finalTestingPanelButtons {
  transition: 0.3s;
}

#finalTestingPanelButtons {
  display: none;
}

#finalTestingPanel {
  background: #fff;
  border: 1px solid var(--border);
  padding: 20px;
  border-radius: 10px;
}

#finalTestingPanelTest {
  opacity: 0;
  height: 0;
  min-height: 0;
  transition: 0.3s;
}

#counterQuestionPanel {
  opacity: 0;
  transition: 0.3s;
}

#finalTestingPanel.testing {
  position: fixed;
  left: 0;
  top: 70px;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.5), #000);
  width: 100%;
  height: calc(100% - 70px);
  justify-content: center;
  border: none;
  border-radius: 0;
  padding: 0;
  overflow-x: hidden;
  overflow-y: auto;
}

.testing #finalTestingPanelTest {
  height: auto;
  opacity: 1;
}

.testing #counterQuestionPanel {
  opacity: 1;
}

.testing #finalTestingAnswersPanel {
  border: 1px solid var(--border);
  border-radius: 10px;
  padding: 10px;
  margin: 10px 0;
  background: rgba(0,0,0,0.02);
}

.testing #testingName {
  background: #fff;
}

.testing #testingName span {
  font-size: 1.5em;
}

.testing #testingHelloLabel {
  display: none;
}

.testing #testPanelContainer {
  background: #fff;
  max-width: 1000px;
  min-height: 400px;
  border: 1px solid #c4c4c4;
  border-radius: 10px;
  padding: 20px;
  align-content: space-between;
  position: relative;
}

.testing #finalTestingPanelButtons {
  border-top: 1px solid var(--red);
}

.kw-testing-button {
  position: relative;
  min-height: 40px;
  border: none;
  border-radius: 8px;
  overflow: hidden;
  transition: 0.5s;
}

.kw-testing-button::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  background: rgba(255, 255, 255, 0.1);
  transform: skewX(45deg) translateX(290px);
  transition: 0.5s;
}

.kw-testing-button:hover::before {
  transform: skewX(45deg) translateX(-150px);
}

.kw-testing-button.button__green {
  background: linear-gradient(to right, #56ab2f, #a8e063);
  color: #fff !important;
}

.kw-testing-button.button__red {
  background: linear-gradient(to right, #ff416c, #ff4b2b);
  color: #fff !important;
}

.kw-testing-button.button__blue {
  background: linear-gradient(to right, #667db6, #0082c8, #0082c8, #667db6);
  color: #fff !important;
}

.answer_list {
  list-style: none;
  margin: 0;
  padding: 0;
  width: 100%;
}

.answer_item {
  width: 100%;
  border-bottom: 1px solid #c4c4c4;
  min-height: 40px;
  display: flex;
  align-content: center;
  align-items: center;
}

.answer_item:last-child {
  border: none;
}

.answer_number {
  padding: 0 15px;
  margin-right: 10px;
  height: 100%;
  position: relative;
}

.answer_number::after {
  content: '-';
  display: block;
  position: absolute;
  right: 0;
}

.answer_item a {
  text-decoration: none;
  color: #222;
  width: 100%;
  height: 100%;
  min-height: 40px;
  display: flex;
  align-content: center;
  align-items: center;
}

.answer_item a span {
  min-height: 40px;
  display: flex;
  align-items: center;
}

.answer_item a.selected,
.answer_item:not(.no_hover) a:hover {
  background: linear-gradient(to right, #a8ff78, #78ffd6);
}

.answer_img {
  max-width: 300px;
}

#timerIcon {
  border: none;
  cursor: default;
}

#finalTaskResultLink {
  margin: 0;
}

.uk-form-custom .uk-input::placeholder {
  color: var(--text-color);
}
